{ config, lib, pkgs, ... }:

lib.mkIf config.sbruder.full {
  # Emulates all configured systems except the actual system
  boot.binfmt.emulatedSystems = lib.filter
    (system: system != pkgs.stdenv.system)
    [
      "aarch64-linux"
      "armv7l-linux"
      "i686-linux"
      "x86_64-linux"
    ];
}
